//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "nymmail.h"
#include "global.h"
HINSTANCE hNymLib=NULL;
//---------------------------------------------------------------------------
bool __fastcall HasNyms()
{
   return hNymLib!=NULL;
}
//---------------------------------------------------------------------------
bool __fastcall HasActualNyms()
{
   return AppDataExists(NymProfilesKey);
}
//---------------------------------------------------------------------------
bool __fastcall NymInit(HINSTANCE HMixLib, HINSTANCE HSSLLib, HWND AppHandle)
{
   NYMINIT nyminit;
   if ((nyminit = (NYMINIT)GetProcAddress(hNymLib,"@NymInit"))!=NULL)
   {
     (nyminit)(HMixLib,HSSLLib,AppHandle);
      return true;
   }
   return false;
}
//---------------------------------------------------------------------------
void __fastcall NymShutDown()
{
   NYMSHUTDOWN nymshutdown;
   if ((nymshutdown = (NYMSHUTDOWN)GetProcAddress(hNymLib,"@nymshutdown"))!=NULL)
       (nymshutdown)();
}
//---------------------------------------------------------------------------
char* __fastcall GetNymLibName()
{
   GET_NYMLIBNAME getnymlibname;
   if ((getnymlibname = (GET_NYMLIBNAME)GetProcAddress(hNymLib,"@GetNymLibName"))!=NULL)
      return (getnymlibname)();
   return "";
}
//---------------------------------------------------------------------------
char* __fastcall GetNymLibVersion()
{
   GET_NYMLIBVERSION getnymlibversion;
   if ((getnymlibversion = (GET_NYMLIBVERSION)GetProcAddress(hNymLib,"@GetNymLibVersion"))!=NULL)
      return (getnymlibversion)();
   return "";
}
//---------------------------------------------------------------------------
char*__fastcall DecryptNymMessage(TForm *Owner, char *message, int &errcode)
{
   DECRYPTNYMMESSAGE decnymmsg;
   if ((decnymmsg = (DECRYPTNYMMESSAGE)GetProcAddress(hNymLib,"@DecryptNymMessage"))!=NULL)
      return (decnymmsg)(Owner,message,errcode);
   return "";
}
//---------------------------------------------------------------------------
bool __fastcall RunNymWizard(TForm *Owner)
{
   RUNNYMWIZARD runnymwizard;
   if ((runnymwizard = (RUNNYMWIZARD)GetProcAddress(hNymLib,"@RunNymWizard"))!=NULL)
      return (runnymwizard)(Owner);
   return false;
}
//---------------------------------------------------------------------------
void __fastcall RunFinger(TForm *Owner)
{
   RUNFINGER runfinger;
   if ((runfinger = (RUNFINGER)GetProcAddress(hNymLib,"@RunFinger"))!=NULL)
      (runfinger)(Owner);
}
//---------------------------------------------------------------------------
