//---------------------------------------------------------------------------
#ifndef ClipReplyH
#define ClipReplyH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include "nymmail.h"
//---------------------------------------------------------------------------
AnsiString __fastcall GetTemplateName(AnsiString &Caption, int mode);
AnsiString __fastcall GetMergeMessage(AnsiString &Caption, int mode);

void __fastcall ClipboardReply(bool UseDialog);
void __fastcall ReplyToMessage(TStrings *Message, AnsiString &TemplateName,
   AnsiString &InReplyTo);
void __fastcall ClipboardFollowup(bool UseDialog);
void __fastcall FollowupArticle(TStrings *Article, AnsiString &TemplateName);

const int modeMessage = 0;
const int modeArticle = 1;
//moved modeNymcnfg to nymmail.h
//const int modeNymcnfg = 2;
const AnsiString TempFollowupsChecked = "TempFollowupsChecked";
const AnsiString TempRepliesChecked = "TempRepliesChecked";

class TMergeForm : public TForm
{
__published:	// IDE-managed Components
  TButton *OkBtn;
  TButton *CancelBtn;
  TPanel *Panel1;
  TLabel *Label1;
  TListBox *ListBox1;
  TCheckBox *FilterBox;
  TButton *HelpBtn;
  TLabel *Label2;
  TLabel *Label3;
  void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
  void __fastcall FormDestroy(TObject *Sender);
  void __fastcall ListBox1DblClick(TObject *Sender);
  void __fastcall ListBox1DrawItem(TWinControl *Control, int Index, TRect &Rect,
     TOwnerDrawState State);
  void __fastcall FormShow(TObject *Sender);
  void __fastcall FilterBoxClick(TObject *Sender);
  void __fastcall HelpBtnClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
  int mode;
  TStringList *Templates;
  AnsiString TemplateName;
  __fastcall TMergeForm(TComponent* Owner);
  void __fastcall FilterTemplates(bool filter);
};
//---------------------------------------------------------------------------
extern TMergeForm *MergeForm;
//---------------------------------------------------------------------------
#endif
